org.eclipse.emf.facet.efacet.ui

## Class FacetSetShortcutActionUtils

- java.lang.Object
- - org.eclipse.emf.facet.efacet.ui.FacetSetShortcutActionUtils

    public final class FacetSetShortcutActionUtils
    extends java.lang.Object

Since:
  1.1
Noinstantiate:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Concrete Methods
`static <T extends FacetSet> void` `runAction(Action action, java.lang.String actionId, java.util.Set<T> availableFS, java.util.List<T> activatedFS)`
`static void` `setImageDescriptor(Action action, ImageDescriptor imageDescriptor)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setImageDescriptor

    public static void setImageDescriptor(Action action,
                                          ImageDescriptor imageDescriptor)

#### runAction

    public static <T extends FacetSet> void runAction(Action action,
                                                      java.lang.String actionId,
                                                      java.util.Set<T> availableFS,
                                                      java.util.List<T> activatedFS)